Subject: Re: linux-next: manual merge of the nfs tree with Linus' tree

From: Trond Myklebust <[email-masked]>
Date: Thu, 04 Dec 2025 19:34:30 -0500

On Fri, 2025-12-05 at 11:19 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the nfs tree got a conflict in:
> 
>   fs/nfs/localio.c
> 
> between commits:
> 
>   94afb627dfc2 ("nfs: use credential guards in
> nfs_local_call_read()")
>   bff3c841f7bd ("nfs: use credential guards in
> nfs_local_call_write()")
>   1d18101a644e ("Merge tag 'kernel-6.19-rc1.cred' of
> git://git.kernel.org/pub/scm/linux/kernel/git/vfs/vfs")
> 
> from Linus' tree and commit:
> 
>   30a4385509b4 ("nfs/localio: fix regression due to out-of-order
> __put_cred")
> 
> from the nfs tree.
> 
> I fixed it up (I just dropped the nfs tree commit) and can carry the
> fix as necessary. This is now fixed as far as linux-next is
> concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also
> want
> to consider cooperating with the maintainer of the conflicting tree
> to
> minimise any particularly complex conflicts.

I'm worried that resolving this is not going to be trivial...

The nfs tree commit is a fix for a regression that appeared in 6.18,
and the problem with just dropping it in favour of the scoped cred
version in Christian's tree is that that appears to propagate the
regression.

Mike, am I wrong?

-- 
Trond Myklebust
Linux NFS client maintainer, Hammerspace
[email-masked], [email-masked]